"use server"

import prisma from "@/lib/prisma";
import { albumSchema } from "@/schemas/albums/albumSchema";
import * as z from "zod/v4";

export async function updateAlbum(
  values: z.infer<typeof albumSchema>, 
  id: string
) {
  return await prisma.album.update({
    where: {
      id: id
    },
    data: {
      name: values.name,
      slug: values.slug,
      description: values.description,
      galleryId: values.galleryId
    }
  })
}