"use server"

import prisma from "@/lib/prisma";
import { gallerySchema } from "@/schemas/galleries/gallerySchema";
import * as z from "zod/v4";

export async function updateGallery(
  values: z.infer<typeof gallerySchema>, 
  id: string
) {
  return await prisma.gallery.update({
    where: {
      id: id
    },
    data: {
      name: values.name,
      slug: values.slug,
      description: values.description,
    }
  })
}