import EditAlbumForm from "@/components/albums/edit/EditAlbumForm";
import prisma from "@/lib/prisma";

export default async function AlbumsEditPage({ params }: { params: { id: string } }) {
  const { id } = await params;

  const album = await prisma.album.findUnique({
    where: {
      id,
    }
  });

  const galleries = await prisma.gallery.findMany({});

  return (
    <div>
      <h1 className="text-2xl font-bold mb-4">Edit album</h1>
      {album ? <EditAlbumForm album={album} galleries={galleries} /> : 'Album not found...'}
    </div>
  );
}