import ListAlbums from "@/components/albums/list/ListAlbums";
import prisma from "@/lib/prisma";
import { PlusCircleIcon } from "lucide-react";
import Link from "next/link";

export default async function AlbumsPage() {
  const albums = await prisma.album.findMany(
    {
      include: { gallery: true },
      orderBy: { createdAt: "asc" }
    }
  );

  return (
    <div>
      <div className="flex gap-4 justify-between">
        <h1 className="text-2xl font-bold mb-4">Albums</h1>
        <Link href="/albums/new" className="flex gap-2 items-center cursor-pointer bg-primary hover:bg-primary/90 text-primary-foreground px-4 py-2 rounded">
          <PlusCircleIcon className="h-[1.2rem] w-[1.2rem] scale-100 rotate-0 transition-all text-primary-foreground" /> Add new Album
        </Link>
      </div>
      {albums.length > 0 ? <ListAlbums albums={albums} /> : <p className="text-muted-foreground italic">No albums found.</p>}
    </div>
  );
}