import * as z from "zod/v4";

export const albumSchema = z.object({
  name: z.string().min(3, "Name is required. Min 3 characters."),
  slug: z.string().min(3, "Slug is required. Min 3 characters.").regex(/^[a-z]+$/, "Only lowercase letters are allowed (no numbers, spaces, or uppercase)"),
  galleryId: z.string().min(1, "Please select a gallery"),
  description: z.string().optional(),
})

